SELECT
	schema,
	ad_id
FROM
	(<%
	<%(@@# > 0)
	UNION ALL
	%>
		SELECT DISTINCT
			'$(modules.adqueue.archive.schemas.@)' AS schema,
			ad_id,
			user_id
		FROM
			$(modules.adqueue.archive.schemas.@).ads 
			JOIN users USING (user_id) 
			<%(?time_from || ?time_to)JOIN $$(modules.adqueue.archive.schemas.@).action_states USING (ad_id)%>
		WHERE
			<%(%search_type == "email")
				email = '%query'
			::(%search_type == "list_id")
				list_id = '%query'
			::(%search_type == "ad_id")
				ad_id = '%query'
			::
				uid = '%query'
			%>
			<%(?time_from)AND timestamp >= '%time_from'%>
			<%(?time_to)AND timestamp <= '%time_to'%>
	%>) AS data
ORDER BY
	user_id;
